Module javafx.graphics
Package javafx.geometry

## Class Dimension2D

- java.lang.Object
- - javafx.geometry.Dimension2D

-     public class Dimension2D
      extends Object

  A 2D dimension object that contains a width and a height.
  Since:
    JavaFX 2.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Dimension2D​(double width, double height)` | Constructs a `Dimension2D` with the specified width and height.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` | Indicates whether some other object is "equal to" this one.
    `double` | `getHeight()` | The height of the dimension.
    `double` | `getWidth()` | The width of the dimension.
    `int` | `hashCode()` | Returns a hash code value for the Dimension2D object.
    `String` | `toString()` | Returns a string representation of this `Dimension2D`.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Dimension2D

          public Dimension2D​(double width,
                             double height)

      Constructs a `Dimension2D` with the specified width and height.
      Parameters:
        `width` - the width
        `height` - the height

  - ### Method Detail

    - #### getWidth

          public final double getWidth()

      The width of the dimension.
      Returns:
        the width of the dimension

    - #### getHeight

          public final double getHeight()

      The height of the dimension.
      Returns:
        the height of the dimension

    - #### equals

          public boolean equals​(Object obj)

      Indicates whether some other object is "equal to" this one.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `obj` - the reference object with which to compare
      Returns:
        true if this Dimension2D instance is the same as the obj argument; false otherwise

    - #### hashCode

          public int hashCode()

      Returns a hash code value for the Dimension2D object.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        a hash code value for the Dimension2D object.

    - #### toString

          public String toString()

      Returns a string representation of this `Dimension2D`. This method is intended to be used only for informational purposes. The content and format of the returned string might vary between implementations. The returned string might be empty but cannot be `null`.
      Overrides:
        `toString` in class `Object`